# List unresolved links

`GET /v1/workspaces/{workspaceId}/unresolved-links`

Lists links in live documents whose target does not exist (yet).

Scope: `docs:read`.

## Request

```bash
curl "https://api.lydie.co/v1/workspaces/01JCQ3TZ0WJ8K4M2X7T9R6N1PA/unresolved-links" \
  -H "Authorization: Bearer $LYDIE_TOKEN"
```

## Path parameters

- `workspaceId` (string, required): (1–64 chars)

## Response

- `links` (UnresolvedLink[], required)
  - `source` (object, required)
    - `id` (ULID, required)
    - `title` (string, required): (1–255 chars)
    - `parentId` (ULID, required, nullable)
    - `workspaceId` (string, required): (1–64 chars)
  - `kind` (string, required): One of: `link`, `embed`.
  - `syntax` (string, required): One of: `wikilink`, `markdown`.
  - `targetRef` (string, required)

```json
{
  "links": [
    {
      "source": {
        "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
        "title": "Meeting notes",
        "parentId": null,
        "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA"
      },
      "kind": "link",
      "syntax": "wikilink",
      "targetRef": "string"
    }
  ]
}
```

Errors use the envelope described at https://developers.lydie.co/errors.md.
